%define dist .el5

Summary: GNOME Bluetooth Subsystem
Name: gnome-bluetooth
Version: 0.7.0
Release: 10.2%{dist}.XOS.1
License: GPL
Group: System Environment/Libraries
URL: http://usefulinc.com/software/gnome-bluetooth
#Source: http://usefulinc.com/software/gnome-bluetooth/releases/%{name}-%{version}.tar.bz2
Source: http://ftp.gnome.org/pub/gnome/sources/gnome-bluetooth/0.7/%{name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: autoconf >= 2.57 bluez-libs-devel >= 2.8 bluez-utils 
BuildRequires: libgnomeui-devel >= 2.2 libbonobo-devel >= 2.0
BuildRequires: GConf2-devel >= 2.0 librsvg2-devel
BuildRequires: libbtctl-devel >= 0.6.0
BuildRequires: gob2 openobex-devel >= 1.0.1
BuildRequires: pygtk2-devel python-devel
BuildRequires: intltool automake libtool gettext
Requires: %{name}-libs = %{version}-%{release}
Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2
Requires: bluez-utils
ExcludeArch: s390 s390x

Patch1: gnome-bluetooth-0.7.0-pydir.patch
Patch2: gnome-bluetooth-0.7.0-path.patch
Patch3: gnome-bluetooth-0.7.0-gnome-obex-send.patch

%description
This package contains a Bonobo server to control Bluetooth devices,
and a simple GUI to explore which devices are available
(gnome-bluetooth-manager).  Also, an OBEX server is available,
gnome-obex-server.  This will receive files sent via Bluetooth to your PC,
and save them in your home directory.

%package libs
Summary: Libraries for applications, which use gnome-bluetooth
Group: Development/Libraries

%description libs
This package contains the libraries for applications, which use gnome-bluetooth.

%package devel
Summary: Files for the development of applications, which use gnome-bluetooth
Group: Development/Libraries
Requires: %{name}-libs = %{version}-%{release}
Requires: glib2-devel
Requires: libbtctl-devel

%description devel
This package contains the files for the development of applications,
which will use gnome-bluetooth.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch1 -p1 -b .pydir
%patch2 -p1 -b .path
%patch3 -p1 -b .gnome-obex-send

aclocal
automake -a
autoconf

perl -pi -e 's|^Icon=.*|Icon=%{_datadir}/pixmaps/blueradio-48.png|g' \
    */*.desktop.in


%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
./libtool --finish $RPM_BUILD_ROOT%{_libdir}/gnome-vfs-2.0/modules

# we do not want .la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/bonobo/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-vfs-2.0/modules/libbluetooth.*a
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/gnome-bluetooth-manager.desktop
rm -f $RPM_BUILD_ROOT%{_bindir}/gnome-bluetooth-manager


%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/gnome-obex-server.schemas >/dev/null || :
    killall -HUP gconfd-2 || :
fi

%post libs -p /sbin/ldconfig

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/gnome-obex-server.schemas > /dev/null || :

%postun libs -p /sbin/ldconfig

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/gnome-obex-server.schemas > /dev/null || :
    killall -HUP gconfd-2 || :
fi

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README 
%{_bindir}/gnome-obex-send
%{_bindir}/gnome-obex-server
%{_datadir}/applications/gnome-obex-server.desktop
%{_datadir}/gnome-bluetooth/
%{_datadir}/pixmaps/*
%{_sysconfdir}/gconf/schemas/gnome-obex-server.schemas

%files libs
%defattr(-, root, root)
%{_libdir}/libgnomebt.so.*
%{_libdir}/python*.*/site-packages/gnomebt/

%files devel
%defattr(-, root, root)
%{_libdir}/pkgconfig/gnome-bluetooth.pc
%{_libdir}/libgnomebt.so
%{_includedir}/gnome-bluetooth/

%changelog
* Fri Sep 14 2007 X/OS Linux Team <xoslinux@xos.nl> - 0.7.0-10.2.el5.XOS.1
- Build for X/OS Linux 5.
- X/OS Linux source rpm based on gnome-bluetooth-0.7.0-10.2.el5.src.rpm
  (md5sum of original source rpm: a69884cb6685e231738cab7914253a0c).
- Include "dist" macro with value ".el5" to match the original release number.

* Thu Nov 23 2006 Harald Hoyer <harald@redhat.com> - 0.7.0-10.2%{dist}
- fixed gnome-obex-send
- removed gnome-bluetooth-manager (rhbz#216659)
- Resolves: rhbz#216659

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.7.0-10.1
- rebuild

* Wed Jun 14 2006 Harald Hoyer <harald@redhat.com> - 0.7.0-10
- bump for new openobex

* Sun Jun 11 2006 Jesse Keating <jkeating@redhat.com> - 0.7.0-9
- Missing automake, libtool, gettext BR

* Sun Jun 11 2006 Jesse Keating <jkeating@redhat.com> - 0.7.0-6
- Bump for new libbluetooth

* Wed May 31 2006 Harald Hoyer <harald@redhat.com> - 0.7.0-6
- add dependency on bluez-utils, cosmetic tweaks (bug #190280)

* Tue May 30 2006 Harald Hoyer <harald@redhat.com> - 0.7.0-5
- install schemata correctly (bug #193518)

* Mon May 29 2006 Harald Hoyer <harald@redhat.com> - 0.7.0-3
- more build requires (bug #193374)

* Mon Feb 27 2006 Harald Hoyer <harald@redhat.com> - 0.7.0-2
- pydir fixes for lib64

* Thu Feb 16 2006 Harald Hoyer <harald@redhat.com> - 0.7.0-1
- version 0.7.0

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.6.0-2.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.6.0-2.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Oct 07 2005 Harald Hoyer <harald@redhat.com> - 0.6.0-2
- Fix relative path for the icons in desktop files which no longer works
  with the icon cache.

* Wed Sep 28 2005 Harald Hoyer <harald@redhat.com> - 0.6.0-1
- new version 0.6.0

* Tue Aug 16 2005 Warren Togami <wtogami@redhat.com> 0.5.1-14
- rebuild for new cairo

* Thu Jul  7 2005 Matthias Saou <http://freshrpms.net/> 0.5.1-13
- Minor spec file cleanups.
- Fix relative path for the icons in desktop files which no longer works
  with the icon cache.
- Remove useless zero epochs.
- Remove explicit python abi requirement, it's automatic for FC4 and up.

* Thu Mar 31 2005 Harald Hoyer <harald@redhat.com> - 0.5.1-12
- removed base requirement from libs

* Tue Mar 29 2005 Warren Togami <wtogami@redhat.com> - 0.5.1-11
- devel req glib2-devel libbtctl-devel for pkgconfig (#152488)

* Wed Mar 02 2005 Harald Hoyer <harald@redhat.com> 
- rebuilt

* Mon Feb 21 2005 Harald Hoyer <harald@redhat.com> - 0.5.1-9
- added gnome hbox patch for bug rh#149215

* Tue Dec 07 2004 Harald Hoyer <harald@redhat.com> - 0.5.1-8
- added requires for python-abi

* Tue Dec 07 2004 Harald Hoyer <harald@redhat.com> - 0.5.1-7
- split package into app, libs and devel

* Mon Oct 25 2004 Harald Hoyer <harald@redhat.com> - 0.5.1-6
- fixed again gnome-bluetooth-manager script for 64bit (bug 134864)

* Fri Oct 08 2004 Harald Hoyer <harald@redhat.com> - 0.5.1-5
- buildrequire pygtk2-devel (bug 135032)
- fixed gnome-bluetooth-manager script for 64bit (bug 134864)
- fixed segfault on file receive (bug 133041)

* Mon Sep 27 2004 Harald Hoyer <harald@redhat.com> - 0.5.1-4
- buildrequire libbtctl-devel
- buildrequire openobex-devel >= 1.0.1
- pythondir -> pyexecdir

* Wed Jul 28 2004 Harald Hoyer <harald@redhat.com> - 0.5.1-3
- added build dependency for librsvg2-devel

* Tue Jul 27 2004 Harald Hoyer <harald@redhat.com> - 0.5.1-2
- added pydir patch

* Thu Jul 22 2004 Harald Hoyer <harald@redhat.com> - 0.5.1-1
- version 0.5.1

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May 25 2004 Harald Hoyer <harald@redhat.com> - 0.4.1-8
- corrected BuildRequires

* Wed Mar 10 2004 Harald Hoyer <harald@redhat.com> - 0.4.1-7
- added EggToolBar patch for gcc34

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Jan 26 2004 Harald Hoyer <harald@redhat.de> 0.4.1-4
- added autofoo patch

* Thu Aug 28 2003 Harald Hoyer <harald@redhat.de> 0.4.1-3
- add .so to gnome-vfs module, if libtool does not!

* Thu Aug 07 2003 Harald Hoyer <harald@redhat.de> 0.4.1-2
- call libtool finish

* Wed Aug  6 2003 Harald Hoyer <harald@redhat.de> 0.4.1-1
- new version 0.4.1

* Wed Jun  5 2003 Harald Hoyer <harald@redhat.de> 0.4-1
- initial RPM


